#ifndef __TIMING____H__
#define __TIMING____H__

#include "Constants.h"
#include <SDL.h>

Uint32 timing_get_states_per_scanline();
void timing_report_actual_states_last_scanline(Uint32 actualTstates);

Uint64 timing_get_states_per_video_frame();
Uint16 timing_get_milliseconds_per_video_frame();

Uint8 timing_is_faster();

void timing_apply_tstate_factor(Uint8 factor);

void timing_start(Uint16 millisecondsPerVideoFrame);
void timing_prepare_destroy();
void timing_destroy();

#endif  // !__TIMING____H__
